@import url("https://fonts.googleapis.com/css2?family=Fredoka:wght@500&display=swap");
body {
  font-family: "Fredoka", sans-serif;
  color: #222222;
}

.form__group {
  position: relative;
  padding: 15px 0 0;
  margin-top: 10px;
  width: 50%;
}

.form__field {
  font-family: inherit;
  width: 100%;
  border: 0;
  border-bottom: 2px solid #9b9b9b;
  outline: 0;
  font-size: 1.3rem;
  color: #222222;
  padding: 7px 0;
  background: transparent;
  transition: border-color 0.2s;
}
.form__field::-moz-placeholder {
  color: transparent;
}
.form__field:-ms-input-placeholder {
  color: transparent;
}
.form__field::placeholder {
  color: transparent;
}
.form__field:-moz-placeholder-shown ~ .form__label {
  font-size: 1.3rem;
  cursor: text;
  top: 20px;
}
.form__field:-ms-input-placeholder ~ .form__label {
  font-size: 1.3rem;
  cursor: text;
  top: 20px;
}
.form__field:placeholder-shown ~ .form__label {
  font-size: 1.3rem;
  cursor: text;
  top: 20px;
}

.form__label {
  position: absolute;
  top: 0;
  display: block;
  transition: 0.2s;
  font-size: 1rem;
  color: #9b9b9b;
}

.form__field:focus {
  padding-bottom: 6px;
  font-weight: 700;
  border-width: 3px;
  -o-border-image: linear-gradient(to right, #04bcf2, #7350f2);
  border-image: linear-gradient(to right, #04bcf2, #7350f2);
  border-image-slice: 1;
}
.form__field:focus ~ .form__label {
  position: absolute;
  top: 0;
  display: block;
  transition: 0.2s;
  font-size: 1rem;
  color: #04bcf2;
  font-weight: 700;
}

/* reset input */
.form__field:required,
.form__field:invalid {
  box-shadow: none;
}

/* demo */
body {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  min-height: 100vh;
  font-size: 1.5rem;
  background-color: #dbe3ea;
}

.btn-5 {
  width: 100%;
  height: 100%;
  line-height: 42px;
  padding: 0;
  border: none;
  background: #04bcf2;
  border-radius: 5px;
  font-family: "Fredoka", sans-serif;
  color: #fff;
}

.btn-5:hover {
  color: #04bcf2;
  background: transparent;
  box-shadow: none;
}

.btn-5:before,
.btn-5:after {
  content: "";
  position: absolute;
  top: 0;
  right: 0;
  height: 2px;
  width: 0;
  background: #04bcf2;
  transition: 400ms ease all;
}

.btn-5:after {
  right: inherit;
  top: inherit;
  left: 0;
  bottom: 0;
}

.btn-5:hover:before,
.btn-5:hover:after {
  width: 100%;
  transition: 800ms ease all;
}

a {
  text-decoration: none;
  color: #04bcf2;
}

a:hover {
  color: #222222;
  border-bottom: 3px solid #04bcf2;
}

.red {
  background-color: rgba(245, 39, 39, 0.3);
}

.orange {
  background-color: rgba(245, 178, 39, 0.3);
}

.green {
  background-color: rgba(58, 245, 39, 0.3);
}

.alert {
  height: 100px;
  width: 500px;
  display: flex;
  text-align: center;
  justify-content: center;
} /*# sourceMappingURL=style.css.map */
